package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Cfacou;
import com.brilliance.isc.bo.bopdecbo.Bopcou;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface BopcouMapper {
    int insert(Bopcou record);

    int insertSelective(Bopcou record);

    /*int updateByPrimaryKeySelective(Bopcou record);

    int updateByPrimaryKey(Bopcou record);

    int deleteByPrimaryKey(Bopcou record);

    int deleteByIds(Collection<Object> collection);

    Bopcou selectByPrimaryKey(Bopcou record);*/

    int dyncDelete(Map<String,Object> dyncMap);

    List<Cfacou> dyncRead(Map<String,Object> dyncMap);

    //add
    Bopcou selectByCouPro(Bopcou record);
    //update根据计数器时间数量获取
    int updateByCouPro(Bopcou record);
}
